Package org.silverpeas.components.scheduleevent.view

# Class OptionDateVO

java.lang.Object
org.silverpeas.components.scheduleevent.view.OptionDateVO

All Implemented Interfaces:
  `Comparable<OptionDateVO>`

public class OptionDateVO extends Object implements Comparable<OptionDateVO>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OptionDateVO(Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(OptionDateVO optionDate)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getAfternoonIndexFormat()`
  `Date`
  `getDate()`
  `String`
  `getIndexFormat()`
  `String`
  `getMorningIndexFormat()`
  `int`
  `hashCode()`
  `boolean`
  `isAfternoon()`
  `boolean`
  `isMorning()`
  `boolean`
  `isSameDateAs(DateOption dateOption)`
  `void`
  `setAfternoon(boolean afternoon)`
  `void`
  `setMorning(boolean morning)`
  `void`
  `setPartOfDayFromHour(DateOption dateOption)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OptionDateVO

    public OptionDateVO(Date date)

- ## Method Details

  - ### isSameDateAs

    public boolean isSameDateAs(DateOption dateOption)

  - ### setPartOfDayFromHour

    public void setPartOfDayFromHour(DateOption dateOption) throws org.silverpeas.kernel.SilverpeasException
    Throws:
      `org.silverpeas.kernel.SilverpeasException`

  - ### getDate

    public Date getDate()

  - ### getMorningIndexFormat

    public String getMorningIndexFormat()

  - ### getAfternoonIndexFormat

    public String getAfternoonIndexFormat()

  - ### getIndexFormat

    public String getIndexFormat()

  - ### setAfternoon

    public void setAfternoon(boolean afternoon)

  - ### isAfternoon

    public boolean isAfternoon()

  - ### setMorning

    public void setMorning(boolean morning)

  - ### isMorning

    public boolean isMorning()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(OptionDateVO optionDate)
    Specified by:
      `compareTo` in interface `Comparable<OptionDateVO>`